com.streambase.liveview.client.alert

## Enum AlertRule.Type

- java.lang.Object
- - java.lang.Enum<AlertRule.Type>
  - - com.streambase.liveview.client.alert.AlertRule.Type

- All Implemented Interfaces:
    Serializable, Comparable<AlertRule.Type>
  Enclosing interface:
    AlertRule

      public static enum AlertRule.Type
      extends Enum<AlertRule.Type>

  Gets the type of alert, currently 2 types are supported: Cron Alert and Query Alert

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CronAlert`
    `QueryAlert`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()`
    `static AlertRule.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AlertRule.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QueryAlert

          public static final AlertRule.Type QueryAlert

    - #### CronAlert

          public static final AlertRule.Type CronAlert

  - ### Method Detail

    - #### values

          public static AlertRule.Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AlertRule.Type c : AlertRule.Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AlertRule.Type valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<AlertRule.Type>`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.